<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Calculators\Controllers\CalculatorsController;
use App\Http\ApiV1\Modules\Discounts\Controllers\DiscountProductsController;
use App\Http\ApiV1\Modules\Discounts\Controllers\DiscountRelationsController;
use App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController;
use App\Http\ApiV1\Modules\PromoCodes\Controllers\PromoCodesController;
use Illuminate\Support\Facades\Route;

Route::post('calculators/catalog', [CalculatorsController::class, 'calculateCatalog']);
Route::post('calculators/checkout', [CalculatorsController::class, 'calculateCheckout']);
Route::post('discounts/discounts', [DiscountsController::class, 'create']);
Route::get('discounts/discounts/{id}', [DiscountsController::class, 'get']);
Route::delete('discounts/discounts/{id}', [DiscountsController::class, 'delete']);
Route::patch('discounts/discounts/{id}', [DiscountsController::class, 'patch']);
Route::post('discounts/discounts:search', [DiscountsController::class, 'search']);
Route::post('discounts/discounts:mass-status-update', [DiscountsController::class, 'massStatusUpdate']);
Route::post('discounts/discounts/{id}/products', [DiscountRelationsController::class, 'patchProducts']);
Route::delete('discounts/discounts/{id}/products', [DiscountRelationsController::class, 'deleteProducts']);
Route::get('discounts/discount-products/{id}', [DiscountProductsController::class, 'get']);
Route::post('discounts/discount-products:search', [DiscountProductsController::class, 'search']);
Route::post('promo-codes/promo-codes', [PromoCodesController::class, 'create']);
Route::get('promo-codes/promo-codes/{id}', [PromoCodesController::class, 'get']);
Route::delete('promo-codes/promo-codes/{id}', [PromoCodesController::class, 'delete']);
Route::patch('promo-codes/promo-codes/{id}', [PromoCodesController::class, 'patch']);
Route::post('promo-codes/promo-codes:search', [PromoCodesController::class, 'search']);
Route::post('promo-codes/promo-codes:check', [PromoCodesController::class, 'check']);
